Bug 171135 - snmpd loops forever in host resources (hrStorage)
snmpd loops forever in host resources (hrStorage)
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: net-snmp (Show other bugs)
4.0
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Radek Vokal
http://sourceforge.net/tracker/?group...
:
Depends On:
Blocks: 181411
  Show dependency treegraph
 
Reported: 2005-10-18 11:19 EDT by Anders Jennerberg
Modified: 2007-11-30 17:07 EST (History)
3 users (show)

See Also:
Fixed In Version: RHBA-2006-0421
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-08-10 17:31:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Anders Jennerberg 2005-10-18 11:19:03 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.0; en-US; rv:1.7.12) Gecko/20050915 Firefox/1.0.7

Description of problem:
When a normal SNMP requests for particular MIBs (from hrStorage) is sent to the snmpd, the snmpd will enter a loop and stop responding. This has two effects: 
 * The snmpd will stop answering requests.
 * The snmpd will use up all available CPU.

The latest RH patch has been tested and didn't work

Version-Release number of selected component (if applicable):
net-snmp-5.1.2-11

How reproducible:
Always

Steps to Reproduce:
1. Make sure that there is a community with full read access on the test snmp server.
2. snmpget <host> public .1.3.6.1.2.1.25.2.3.1.7.1


Actual Results:  The snmpd started to use all available CPU and the query timed out.

Expected Results:  A normal reply or an error message.

Additional info:

There is a work-around: Add exclude statements for the views in /etc/snmp/snmpd.conf. Assuming you have the 'view all include' statement already, the 'view all exclude' should sort out the problem for this particular MIB.

view all    included  .1                               80
view all    excluded  .1.3.6.1.2.1.25.2.3.1.7

Note: I have not tested if other MIBs are vulnerable and they would be missed by this method.
Comment 1 Radek Vokal 2005-10-19 03:24:35 EDT
Can you retest this issue with net-snmp from RHEL4 update 2? I think this might
be already gone, as several things were fixed in the latest update.
Comment 2 Anders Jennerberg 2005-10-19 08:46:56 EDT
We have tested with the latest patched version (net-snmp-5.1.2-11.EL4.6). Is
that any different from update 2? I did look over the bug fix notes and didn't
find anything that mentioned this particular problem.
Comment 3 Radek Vokal 2005-10-19 09:12:18 EDT
Aha, I see the bug. I haven't realized that it appears only with snmpget and not
with snmpwalk. Patch is ready, this bug gets on proposed list for next update. 
Comment 8 Mark Hoover 2006-02-03 12:01:01 EST
I'm also seeing this problem I believe:

467 root      25   0 11424 4336 2528 R 99.9  0.2  50:14.22 snmpd

I tried this:

view    systemview    included   .1
view    all           excluded   .1.3.6.1.2.1.25.2.3.1.7

And it still seems to lockup.  We're polling our servers with SolarWinds 
Orion.  Not sure if that makes a difference or not.
Comment 21 Red Hat Bugzilla 2006-08-10 17:31:18 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2006-0421.html

Note You need to log in before you can comment on or make changes to this bug.